View Issue Details

IDProjectCategoryView StatusLast Update
0014551ScribusImport / Exportpublic2017-07-31 11:22
ReporterLuneya Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version1.4.6 
Target VersionFixed in Version 
Summary0014551: Fillable fields not fillable in Adobe Acrobat
DescriptionOpening a fillable PDF made in Scribus 1.2.x works perfectly in Adobe Acrobat.
PDF's exported from Scribus 1.4.6 however, are not fillable in Adobe Acrobat. They are fillable when opened in Chrome.
Steps To ReproduceExport a file with fillable textfield to any of the Acrobat profiles and open it.
Tagsacrobat, windows10, x64
PatchNo

Activities

jghali

2017-01-13 00:34

administrator   ~0043329

Unable to reproduce. I did tests with Acrobat X and Adobe Reader 11, filling forms works. Please provide sample document.

jghali

2017-01-15 21:43

administrator   ~0043352

Please provide the requested elements. If we cannot reproduce the issue, we will have to close it.

Luneya

2017-01-16 14:58

reporter   ~0043355

Three files included. The original downloaded -on Win10 in Acrobat (2015.023.20053) fillable- file (scribus_form_en). The same file opened and exported on my machine (scribus_form_en2). A new file created on my machine (TestPDF).

scribus_form_en.pdf (27,350 bytes)

Luneya

2017-01-16 14:58

reporter  

scribus_form_en2.pdf (114,352 bytes)

Luneya

2017-01-16 14:58

reporter  

TestPDF.pdf (6,219 bytes)

jghali

2017-01-16 17:38

administrator   ~0043356

Please provide also the sla document.

Luneya

2017-01-16 18:07

reporter   ~0043358

The sla document from the original downloaded fillable- file (scribus_form_en):

scribus_form_en.sla (35,735 bytes)

Luneya

2017-01-16 18:10

reporter   ~0043359

The sla document from TestPDF:

TestPDF.sla (13,235 bytes)

jghali

2017-01-16 19:24

administrator   ~0043361

I just tested exporting both sla using Scribus 1.4.6. Filling forms works in both case.

Looking at scribus_form_en2.pdf, it seems you failed to fully embed Arial font which explains why PDF form field do not work for you. It looks light you might have tried to substitute Arial by MyriadPro, which is an OTF font. Using OTF font in form fields is not supported. You must use only Type1 fonts or TrueType fonts for form fields.

The old scribus_form_en.pdf was exported by Scribus 1.2.2 which was only supporting using default Type1 fonts in form fields.

Luneya

2017-01-16 19:40

reporter   ~0043362

Oh wow, I never would've though of that. There is no mention by Scribus when exporting like this and for the TestPDF I did not change any fonts. Just made a new document with a textframe and a text field.
I'll try again later tonight or tomorrow! Would you like an update if it made a difference before closing this?

Thnx for the time invested btw!!

jghali

2017-01-16 19:42

administrator   ~0043363

Last edited: 2017-01-16 19:43

View 2 revisions

>> You must use only Type1 fonts or TrueType fonts for form fields.

Precision: *and the fonts must be fully embedded* except when using the standard Type 1 fonts as defined by PDF specs.

jghali

2017-01-16 20:04

administrator   ~0043364

Last edited: 2017-01-16 21:26

View 2 revisions

>> Would you like an update if it made a difference before closing this?

Yes, please.

After a bit more investigation, it is not Arial but "Tekton Display SSi Regular" which might have been replaced by Myriad Pro. Check if you get a font replacement dialog when opening scribus_form_en.sla. If you don't, with no doc openedcheck also there is no automatic font substitution in File > Preferences > Fonts > Font Substitution. If you do not get a font replacement dialog and automatic substitutions are clear, check font embedding options when exporting PDF. All font used in form fields must be in "Embed" section.

Luneya

2017-01-17 09:34

reporter   ~0043369

I have made a new document. I have made sure only Arial is used (which is a TrueType font) and that the empty text field is also using Arial.
When exporting to PDF I have made sure that Arial is placed in the left side in the fonts tab to embed the font.

I have also tried to make it an outline to see if that would make a difference (in both PDF 1.4 and 1.5)

According to https://wiki.scribus.net/canvas/Help:Manual_Fontswin32 it should work.

Starting to doubt my own sanity now xD

2ndTest.sla (13,127 bytes)

Luneya

2017-01-17 09:36

reporter   ~0043370

Crap, on the right side I mean.

embed_font.PNG (18,122 bytes)
embed_font.PNG (18,122 bytes)

Luneya

2017-01-17 12:11

reporter   ~0043371

Oh my *blushes*! I seem to have tested with the wrong document.

It does work now, using only TrueType fonts.
Perhaps it is a possibility to have a pop-up appear with a warning when a document is exported to pdf and OpenTypes are used.

Thank you for the time invested and the support!

Luneya

2017-01-17 16:38

reporter   ~0043373

Also, could you tell me if the borders of these boxes show when exporting to pdf and opening the pdf in Adobe?
I, for the life of me, can not find another ticket with the issue that borders set to color 'none' still show up in the exported PDF and on paper (I want neither. No borders. Ever. ;) )

(Please tell me if I need to open a new ticket for this issue and remove this reply)

borders.sla (18,538 bytes)

Luneya

2017-01-17 16:49

reporter   ~0043374

Managed to solve the last question with a bit of JavaScript when the document loads:
function noborders()
{
getField("title").strokeColor = color.transparent;
getField("NumberField").strokeColor = color.transparent;
}

Still wondering why I can't manage to not show them when border color is set to 'none'.

jghali

2017-01-17 18:41

administrator   ~0043375

Properties specific to form fields must be configured using the field properties dialog accessed via Right click > PDF options > Field properties. Once border is set to None here, it works as expected.

Luneya

2017-01-18 09:01

reporter   ~0043376

Ah! Thank you so much for your help!
This ticket can be closed and I wish you the best day :D

Issue History

Date Modified Username Field Change
2017-01-12 11:47 Luneya New Issue
2017-01-12 11:47 Luneya Tag Attached: acrobat
2017-01-12 11:51 Luneya Tag Attached: windows10
2017-01-12 12:18 Luneya Tag Attached: x64
2017-01-13 00:34 jghali Note Added: 0043329
2017-01-15 21:43 jghali Note Added: 0043352
2017-01-16 14:58 Luneya File Added: scribus_form_en.pdf
2017-01-16 14:58 Luneya Note Added: 0043355
2017-01-16 14:58 Luneya File Added: scribus_form_en2.pdf
2017-01-16 14:58 Luneya File Added: TestPDF.pdf
2017-01-16 17:38 jghali Note Added: 0043356
2017-01-16 18:07 Luneya File Added: scribus_form_en.sla
2017-01-16 18:07 Luneya Note Added: 0043358
2017-01-16 18:10 Luneya File Added: TestPDF.sla
2017-01-16 18:10 Luneya Note Added: 0043359
2017-01-16 19:24 jghali Note Added: 0043361
2017-01-16 19:25 jghali Severity major => minor
2017-01-16 19:40 Luneya Note Added: 0043362
2017-01-16 19:42 jghali Note Added: 0043363
2017-01-16 19:43 jghali Note Edited: 0043363 View Revisions
2017-01-16 20:04 jghali Note Added: 0043364
2017-01-16 21:26 jghali Note Edited: 0043364 View Revisions
2017-01-17 09:34 Luneya File Added: 2ndTest.sla
2017-01-17 09:34 Luneya Note Added: 0043369
2017-01-17 09:36 Luneya File Added: embed_font.PNG
2017-01-17 09:36 Luneya Note Added: 0043370
2017-01-17 12:11 Luneya Note Added: 0043371
2017-01-17 16:38 Luneya File Added: borders.sla
2017-01-17 16:38 Luneya Note Added: 0043373
2017-01-17 16:49 Luneya Note Added: 0043374
2017-01-17 18:41 jghali Note Added: 0043375
2017-01-18 09:01 Luneya Note Added: 0043376
2017-07-31 11:22 jghali Assigned To => jghali
2017-07-31 11:22 jghali Status new => resolved
2017-07-31 11:22 jghali Resolution open => no change required
2017-07-31 11:22 jghali Status resolved => closed